%define         _state          stable
%define         orgname         smokeqt
%define         qtver           4.8.0

Summary:	smokeqt - A SMOKE library
Summary(pl.UTF-8):	smokeqt - Biblioteka SMOKE
Name:		kde4-smokeqt
Version:	4.9.0
Release:	1
License:	GPL v2+
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	a5f77ed83b92d616491a5d75840a77dd
URL:		http://www.kde.org/
BuildRequires:	cmake
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	phonon-devel
BuildRequires:	qimageblitz-devel
BuildRequires:	qimageblitz-devel
BuildRequires:	qscintilla2-devel
BuildRequires:	qscintilla2-devel
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtDeclarative-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtHelp-devel >= %{qtver}
BuildRequires:	QtMultimedia-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtOpenGL-devel >= %{qtver}
BuildRequires:	QtScript-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtTest-devel >= %{qtver}
BuildRequires:	QtUiTools-devel >= %{qtver}
BuildRequires:	QtWebKit-devel >= %{qtver}
BuildRequires:	QtXml-devel >= %{qtver}
BuildRequires:	QtXmlPatterns-devel  >= %{qtver}
BuildRequires:	qwt-devel
BuildRequires:	kde4-smokegen-devel >= %{version}
Obsoletes:	kde4-kdebindings-smoke-qt < 4.6.99
Obsoletes:	smokeqt <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SMOKE library (Scripting Meta Object Kompiler Engine).

%description -l pl.UTF-8
Biblioteka SMOKE (Scripting Meta Object Kompiler Engine - silnik
kompilatora metaobiektów skryptowych).

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kde4-smokegen-devel >= %{version}
Obsoletes:	kde4-kdebindings-smoke-devel < 4.6.99
Obsoletes:	smokeqt-devel <= 4.8.0

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_libdir}/libsmoke*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmoke*.so.?

%files devel
%defattr(644,root,root,755)
%{_includedir}/smoke
%{_datadir}/smokegen/qt-config.xml
%{_datadir}/smokegen/qtdefines
%attr(755,root,root) %{_libdir}/libsmoke*.so
%changelog
* Sat Aug 25 2012 Paweł Sikora <pawel.sikora@agmk.net> a7d1046
updated to 4.9.0.

* Thu Jun 28 2012 Jan Rękorajski <baggins@pld-linux.org> 584a018
- 4.8.4

* Thu Jan 26 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d56ce7
- release 2

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ccb38ef
- up to 4.8.0; now as kde4-smokeqt

* Fri Nov 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e35266
- up to 4.7.3

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> df4777c
- rel 5; BR cmake

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7745545
- rel 4

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a5d19b
- rel 3; more detailed qt BR deps, so more modules will be built

* Tue Sep 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 11ffa16
- up to 4.7.1

